Tenant planını güncelle
curl --request PUT \
--url https://identity-sandbox.payven.com.tr/api/v1/platform/tenants/{id}/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://identity-sandbox.payven.com.tr/api/v1/platform/tenants/{id}/plan"
payload = { "plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json; ver=1.0"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json; ver=1.0'},
body: JSON.stringify({plan_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://identity-sandbox.payven.com.tr/api/v1/platform/tenants/{id}/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"display_name": "<string>",
"realm_name": "<string>",
"contact_email": "<string>",
"plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan_code": "<string>",
"plan_name": "<string>",
"plan_assigned_at": "2023-11-07T05:31:56Z",
"allow_non3_d": true,
"created": "2023-11-07T05:31:56Z",
"last_modified": "2023-11-07T05:31:56Z"
}{
"type": "https://docs.payven.com.tr/errors/bad_request",
"title": "Geçersiz istek",
"status": 400,
"code": "bad_request",
"detail": "amount.amount alanı zorunlu.",
"correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/idempotency_key_in_use",
"title": "Idempotency-Key çakışması",
"status": 409,
"code": "idempotency_key_in_use",
"detail": "Bu Idempotency-Key daha önce farklı bir istek gövdesi ile kullanıldı."
}{
"type": "https://docs.payven.com.tr/errors/bank_declined",
"title": "Banka işlemi reddetti",
"status": 422,
"code": "bank_declined",
"detail": "Yetersiz bakiye (banka kodu: 51)",
"provider_error_code": "51"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}PlatformTenants
Tenant planını güncelle
PUT
/
api
/
v1
/
platform
/
tenants
/
{id}
/
plan
Tenant planını güncelle
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Path Parameters
Body
application/json; ver=1.0text/json; ver=1.0application/*+json; ver=1.0
Response
OK
Available options:
active, suspended Available options:
standard, pay, hosted ⌘I